/**
 * Created by rockyl on 2019-05-23.
 *
 * 自定义文本渲染器
 */

import TextRenderer from "components/renderer/TextRenderer";

export default class CustomTextRenderer extends TextRenderer {
	fillColorKey: string;

	onAwake() {
		super.onAwake();

		const config = window['configJson'];
		if(this.fillColorKey){
			this.fillColor = config[this.fillColorKey];
		}
	}
}
